Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,21 @@
#!/bin/sh
MODPROBE=/sbin/modprobe
echo -n "Probing modules: "
if [ ! -x "${MODPROBE}" -o ! -f "/etc/modules" ]; then
echo "missing"
exit 1
else
echo
fi
grep '^[^#]' "/etc/modules" | \
while read module args; do
[ "$module" ] || continue
if ${MODPROBE} $module $args; then
echo " $module loaded"
else
echo " $module failed"
fi
done

View File

@@ -0,0 +1,33 @@
#! /bin/sh
NAME=ubusd
DAEMON=/opt/Domo/bin/$NAME
export LD_LIBRARY_PATH=/opt/Domo/lib/
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
case "$1" in
start)
printf "Starting $NAME: "
start-stop-daemon -S -q -b -x $DAEMON --
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping $NAME: "
start-stop-daemon -K -q -n $NAME
;;
restart|reload)
echo "Restarting $NAME: "
$0 stop
sleep 1
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0

View File

@@ -0,0 +1,38 @@
#! /bin/sh
NAME=domod
DAEMON=/opt/Domo/bin/$NAME
export LD_LIBRARY_PATH=/opt/Domo/lib/
export DOMO_WRITE_PATH=/home/rpi/domo
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
case "$1" in
start)
printf "Starting $NAME: "
if [ ! -d "$DOMO_WRITE_PATH" ]; then mkdir -p "$DOMO_WRITE_PATH"; fi
if [ ! -f "$DOMO_WRITE_PATH/Devices.json" ]; then cp /opt/Domo/rsc/*.json $DOMO_WRITE_PATH/; fi
start-stop-daemon -S -q -b -x $DAEMON --
[ $? = 0 ] && echo "OK" || echo "FAIL"
sleep 0.5
;;
stop)
printf "Stopping $NAME: "
start-stop-daemon -K -q -n $NAME
;;
restart|reload)
echo "Restarting $NAME: "
$0 stop
sleep 1
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0

View File

@@ -0,0 +1,33 @@
#! /bin/sh
NAME=sprinklersd
DAEMON=/opt/Domo/bin/$NAME
export LD_LIBRARY_PATH=/opt/Domo/lib/
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
case "$1" in
start)
printf "Starting $NAME: "
start-stop-daemon -S -q -b -x $DAEMON --
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping $NAME: "
start-stop-daemon -K -q -n $NAME
;;
restart|reload)
echo "Restarting $NAME: "
$0 stop
sleep 1
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0

View File

@@ -0,0 +1,34 @@
#! /bin/sh
NAME=chacond
DAEMON=/opt/Domo/bin/$NAME
PIN_NUMBER=17
export LD_LIBRARY_PATH=/opt/Domo/lib/
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
case "$1" in
start)
printf "Starting $NAME: "
start-stop-daemon -S -q -b -x $DAEMON $PIN_NUMBER --
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping $NAME: "
start-stop-daemon -K -q -n $NAME
;;
restart|reload)
echo "Restarting $NAME: "
$0 stop
sleep 1
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0

View File

@@ -0,0 +1,33 @@
#! /bin/sh
NAME=restd
DAEMON=/opt/Domo/bin/$NAME
export LD_LIBRARY_PATH=/opt/Domo/lib/
# Gracefully exit if the package has been removed.
test -x $DAEMON || exit 0
case "$1" in
start)
printf "Starting $NAME: "
start-stop-daemon -S -q -b -x $DAEMON --
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping $NAME: "
start-stop-daemon -K -q -n $NAME
;;
restart|reload)
echo "Restarting $NAME: "
$0 stop
sleep 1
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0